name = 'setup'

buildflags = {
	'winexe',
	'optimize-size',
	'static-runtime',
	'unicode'
}

defines = {
	'SHA1',
	'IMPLEMENT_TC_SYS_INTERFACE',
	'NO_TCSYS_MOUNT'
}
if target == 'vs2005' then
	table.insert(defines, '_CRT_SECURE_NO_DEPRECATE')
	table.insert(defines, '_CRT_SECURE_NO_WARNINGS')
end

debug_defines = {
	'TC_DEBUG'
}

links = {
	'version'
}

includepaths = { 
	'../common/ltc',
	'../common/misc',
	'../common/prj',
	'../common/tc'
}

dofile('../../tools/premake.lua')

package.files =
{
	matchrecursive('*.?'),
	matchrecursive('*.rc'),
	matchrecursive('../common/ltc/sha1.c'),
	matchrecursive('../common/misc/*.?'),
	matchrecursive('../common/prj/*.?'),
	matchrecursive('../common/tc/*.?')
}
